// Real-time p-value feedback system
document.addEventListener('DOMContentLoaded', function() {
  const articles = document.querySelectorAll('.container');
  
  articles.forEach(article => {
    const text = article.textContent.toLowerCase();
    
    // Detect common p-value issues
    const issues = [];
    
    if (text.includes('p < 0.05') && !text.includes('p =')) {
      issues.push('Consider reporting exact p-values instead of inequalities');
    }
    
    if (text.includes('significant') && !text.includes('confidence interval')) {
      issues.push('Add confidence intervals for better context');
    }
    
    if (text.includes('p-value') && !text.includes('effect size')) {
      issues.push('Include effect size measures');
    }
    
    // Display feedback
    if (issues.length > 0) {
      const feedbackDiv = document.createElement('div');
      feedbackDiv.className = 'feedback';
      feedbackDiv.innerHTML = `
        <strong>Statistical Feedback:</strong>
        <ul>
          ${issues.map(issue => `<li>${issue}</li>`).join('')}
        </ul>
      `;
      
      article.insertBefore(feedbackDiv, article.firstChild);
    }
  });
});